3 Replies Latest reply: Apr 26, 2013 3:26 PM by Klaus1
Darrell R Coe Level 1 Level 1

My G3/G4 B/W PPC has Safari 4.3.1 installed on it.  When I bring up Yahoo, it consistently comes up with a window stating that Yahoo would like me to upgrade my browser and it gave gave various browsers such as Safari 6, Firefox, Internet Explorer and Google Chrome.  Does anyone know if Safari supports a higher version for OSX 10.4.11?

Solved by Klaus1 on Apr 26, 2013 3:26 PM Solved

No, not on Tiger. On Leopard you could run version 5.0.6.

Reply by Eric Ross on Apr 26, 2013 11:04 AM Helpful

You will not be able to update your version of Safari 4, You will need to update your version of Mac OS X to 10.8 for Safari 6, your Mac can't be upgraded to Mountain Lion. 

All replies